package fr.eni.enchere.bll;

import fr.eni.enchere.bo.UserProfil;
import fr.eni.enchere.dal.UserRepository;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("UtilisateurService")
public class UserServiceImpl implements UserService {

    public UserRepository userRepository;

    public UserServiceImpl(UserRepository userRepository) {
        this.userRepository = userRepository;
    }

    @Override
    public List<UserProfil> listeUtilisateurs() {
        return userRepository.findAll();
    }

    @Override
    public UserProfil utilisateurById(int id) {
        return userRepository.findById(id);
    }

    @Override
    public UserProfil utilisateurByName(String username) {
        return userRepository.findByUsername(username);
    }

    @Override
    public void setUtilisateur(UserProfil utilisateur) {
        userRepository.save(utilisateur);
    }

    @Override
    public void deleteUtilisateur(int id) {
        userRepository.delete(id);
    }
}
